<section class="main-container">
<section class="action-btn">
        
    <app-button class="add-doctor" (click)="addDoctor()">Add Doctor</app-button>
    <app-logout-btn class="logout-btn"></app-logout-btn>
</section>
<section class="doctorList-container">
    <app-left-nav-bar></app-left-nav-bar>
<div class="doctor-table mat-elevation-z8"> 
   <mat-table #table  [dataSource]="dataSource" class="table">
    <ng-container matColumnDef="name">
        <mat-header-cell *matHeaderCellDef> Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.name}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="speciality">
        <mat-header-cell *matHeaderCellDef> Speciality </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.speciality}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="nurses">
        <mat-header-cell *matHeaderCellDef> Alloted Nurse </mat-header-cell>
        <ng-container>
            <mat-cell *matCellDef="let element"> <span *ngFor="let nurse of element.nurses">{{nurse.name + ' ,  '}}</span> </mat-cell>
        </ng-container>
    </ng-container>

    <ng-container matColumnDef="edit">
        <mat-header-cell *matHeaderCellDef>edit</mat-header-cell>
        <mat-cell *matCellDef="let element"> <button mat-icon-button class="iconbutton" (click)="editDoctorPopup(element)">
            <mat-icon class="edit-icon">edit</mat-icon>
          </button> </mat-cell>
      </ng-container>

      <ng-container matColumnDef="delete">
        <mat-header-cell *matHeaderCellDef>delete</mat-header-cell>
        <mat-cell *matCellDef="let element"> <button mat-icon-button class="iconbutton" (click)="deleteDoctor(element); editDoctor(element)">
            <mat-icon class="delete-icon">delete</mat-icon>
          </button></mat-cell>
      </ng-container>
    
      <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
      <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
    </mat-table>
    <mat-paginator #paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
</div>
</section>
</section>

<section *ngIf="displayAddPopup">
    <form class="popup-container" [formGroup]="form" (ngSubmit)="saveDoctor(form)" >
        <h3>Add Doctor</h3>
        <app-input type="text" placeholder="Enter Name" formControlName="name"></app-input>
    <app-input type="email" placeholder="Enter Email" formControlName="email"></app-input>
     <span *ngIf=" form.get('email')!.hasError('email') ">* Email is required and should be valid</span>
    <app-input type="text" placeholder="Enter Speciality" formControlName="speciality"></app-input>
    <app-readonly-input type="text" value="Doctor" placeholder="Role:Doctor"  formControlName="role"></app-readonly-input>
    <mat-select placeholder="Select Nurses" multiple class="select-nurses" formControlName="nurses" [(ngModel)]="value">
        <mat-option *ngFor="let ele of nurseList" [value]="ele._id">{{ele.name}}</mat-option>
      </mat-select>
      <app-button [form] = 'form'>Save</app-button>
    </form>
</section>


<section class="editUserPopup" *ngIf="displayEditPopup">
    <form class="popup-container" [formGroup]="editForm" (ngSubmit)="editDoctor(editForm)" >
        <h3>Add Doctor</h3>
        <app-input type="text" placeholder="Enter Name" formControlName="name"></app-input>
      <app-button>Save</app-button>
    </form>
</section>